package com.meas.system.mapper;

import java.util.List;

import com.meas.system.domain.MeasStatus;

/**
 * 状态Mapper接口
 *
 * @author Allen
 * @date 2024-07-24
 */
public interface MeasStatusMapper {
    /**
     * 查询状态
     *
     * @param id 状态主键
     * @return 状态
     */
    public MeasStatus selectMeasStatusById(Long id);

    /**
     * 查询状态列表
     *
     * @param measStatus 状态
     * @return 状态集合
     */
    public List<MeasStatus> selectMeasStatusList(MeasStatus measStatus);

    /**
     * 新增状态
     *
     * @param measStatus 状态
     * @return 结果
     */
    public int insertMeasStatus(MeasStatus measStatus);

    /**
     * 修改状态
     *
     * @param measStatus 状态
     * @return 结果
     */
    public int updateMeasStatus(MeasStatus measStatus);

    /**
     * 删除状态
     *
     * @param id 状态主键
     * @return 结果
     */
    public int deleteMeasStatusById(Long id);

    /**
     * 批量删除状态
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMeasStatusByIds(Long[] ids);

    List<String> getOption();
}
